/* Function.h - Copyright (c) Marc Krisnanto */

#ifndef _H_qu_function
#define _H_qu_function_ 1


/** Function qu_function
	This is the abstract parent class of ={Sub} and ={Method}.

	qu_function represents an instance of a Function class.

	Currently this class is only useful to test whether an object is a
	Sub or Method.
*/
extern qu_class QuFunctionClass;


/** qu_function_is
	Whether an object is a Function.
*/
#define qu_function_is(o) (qu_sub_is (o) || qu_method_is (o))


/***/
/*--------------------------------------------------------------------------*/

/* called internally by Class to initialize this class */
extern void qu_function__setup ();
extern void qu_function__init  ();

#endif /*_H_qu_function*/
