/*
	dont forget to change Katatest to your actual database name
*/
USE Katatest;

CREATE TABLE KataInteger
(
	id   INT UNSIGNED NOT NULL,
	kind INT UNSIGNED NOT NULL,
	val  INT UNSIGNED NOT NULL,

	PRIMARY KEY (id, kind),
	INDEX (kind, val)
);

CREATE TABLE KataString
(
	id   INT      UNSIGNED NOT NULL,
	kind INT      UNSIGNED NOT NULL,
	val  CHAR(80) NOT NULL,

	PRIMARY KEY (id, kind),
	INDEX (kind, val)
);

CREATE TABLE KataKeyword
(
	id   INT      UNSIGNED NOT NULL AUTO_INCREMENT,
	ids  CHAR(48) NOT NULL,

	PRIMARY KEY (id),
	UNIQUE (ids)
);


INSERT INTO KataInteger VALUES (1, 1, 1);
INSERT INTO KataString VALUES (1, 10000, 'root');
INSERT INTO KataString VALUES (1, 10001, 'changethis');
