/* Token.c - Copyright (c) Marc Krisnanto */

#include "qu.h"


/*) module Token
	This module provides all Qu tokens constants in the form of T_xxx,
	e.g. T_NAME, T_DOT, T_switch, etc.

	You would normally do this:
	@prog
		use Token (*)

	@p
	So you can say T_switch instead of Token.T_switch.
*/

int qu_Token_init (qu_module m)
{

#define t_(name, strz) qu_module_add_const (m, "T_"#name, qu_int_new (QU_T_##name));
#include "Tokens.h"
	return 1;
}
