dnl aclocal.m4 generated automatically by aclocal 1.4-p5

dnl Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

dnl #
dnl # Look for library directories
dnl # By Marc Krisnanto - 14-Dec-2002
dnl #
dnl # Synopsis
dnl #    AM_SEARCH_MODULE(<lib>, <h>, <sub>, <ldirs>, <hdirs>)
dnl #
dnl #    lib   = library file name
dnl #    h     = header file name
dnl #    sub   = sub-directory name
dnl #    ldirs = dirs to search for library file
dnl #    hdirs = dirs to search for the header file
dnl #
dnl # Example
dnl #   AM_SEARCH_MODULE(libssl, ssl, openssl, /lib /usr/lib, /usr/include /usr/local/include)
dnl #   echo "SSLLIB = $am_search_module_ldir"
dnl #   echo "SSLINC = $am_search_module_hdir"
dnl #

AC_DEFUN(AM_SEARCH_MODULE, [

	am_search_module_ldir=""
	am_search_module_hdir=""

	for dir in $4; do
		if (test -f $dir/$1.so || test -f $dir/$1.a); then
			am_search_module_ldir=$dir
			break
		fi
		if (test -f $dir/$3/$1.so || test -f $dir/$3/$1.a); then
			am_search_module_ldir=$dir/$3
			if (test -f $dir/$3/include/$2.h || test -f $dir/$3/include/$3.h); then
				am_search_module_hdir=$dir/$3/include
			fi
			break
		fi
		if (test -f $dir/$3/lib/$1.so || test -f $dir/$3/lib/$1.a); then
			am_search_module_ldir=$dir/$3/lib
			if (test -f $dir/$3/$2.h || test -f $dir/$3/$3.h); then
				am_search_module_hdir=$dir/$3
			elif (test -f $dir/$3/include/$2.h || test -f $dir/$3/include/$3.h); then
				am_search_module_hdir=$dir/$3/include
			fi
			break
		fi
	done

	if test "$am_search_module_ldir" = ""; then
		am_search_module_hdir=""
	else
		if test "$am_search_module_hdir" = ""; then
			for dir in $5; do
				if test -f $dir/$2.h; then
					am_search_module_hdir=$dir
					break
				fi
				if test -f $dir/$3/$2.h; then
					am_search_module_hdir=$dir/$3
					break
				fi
				if test -f $dir/$3/include/$2.h; then
					am_search_module_hdir=$dir/$3/include
					break
				fi
			done
		fi

		if test "$am_search_module_hdir" = ""; then
			am_search_module_ldir=""
		fi
	fi
])

