/* Null.h - Copyright (c) Marc Krisnanto */

#ifndef _H_qu_null_
#define _H_qu_null_ 1


/** QuNullClass qu_null
	This is the final Null class.

	qu_null represents an instance of Null and is always QuNil.
*/
extern qu_class QuNullClass;


/** QuNil
	This is the only instance of the Null class.

	This is nil in program level.
*/
extern qu_null QuNil;


/** qu_null_is
	Whether or not the object is nil.
*/
#define qu_null_is(x) ((qu_null)(x) == QuNil)


/** QuNilSTR
	The String representation of nil.
*/
extern qu_string QuNilSTR;


/***/
/*--------------------------------------------------------------------------*/

/* called internally by Class to initialize this class */
extern void qu_null__setup ();
extern void qu_null__init  ();

#endif /*_H_qu_null_*/
