/* missing.c - Copyright (c) Marc Krisnanto */

#include "base.h"
#include "ascii.h"


#error This file is not used


#ifndef HAVE_MEMCMP
int memcmp (const void *s1, const void *s2, size_t n)
{
	char *a = (char *) s1;
	char *b = (char *) s2;

	while (n--)
	{
		char r = *a++ - *b++;
		if (r != 0)
			return (int) r;
	}
	return 0;
}
#endif



#ifndef HAVE_MEMMOVE
void *memmove (void *dest, const void *src, size_t n)
{
	if (src < dest)
	{
		char *s = (char *) src + n;
		char *d = (char *) dest + n;
		while (n--)
			*--d = *--s;
	}
	else if (dest < src)
	{
		char *s = (char *) src;
		char *d = (char *) dest;
		while (n--)
			*d++ = *s++;
	}
	return dest;
}
#endif



#ifndef HAVE_STRNCASECMP
int strncasecmp (const char *s1, const char *s2, size_t n)
{
	while (n && *s1)
	{
		char r = qu_ascii_toupper (*s1) - qu_ascii_toupper (*s2);
		if (r != 0)
			return (int) r;
		n--;
		s1++;
		s2++;
	}
	return 0;
}
#endif



#ifndef HAVE_STRCASECMP
int strcasecmp (const char *s1, const char *s2)
{
	while (*s1 && *s2)
	{
		char r = qu_ascii_toupper (*s1) - qu_ascii_toupper (*s2);
		if (r != 0)
			return (int) r;
		s1++;
		s2++;
    }
	return strlen (s1) - strlen (s2);
}
#endif



#ifndef HAVE_HYPOT
double hypot (double a, double b)
{
	if (a < 0)
		a = -a;
	if (b < 0)
		b = -b;
	if (a < b)
	{
		double x = a;
		a = b;
		b = x;
    }
	if (b == 0.0)
		return a;
	assert (a > 0.0);
	b /= a;
	return a * sqrt (1.0 + b * b);
}
#endif



int missing_avoid_compiler_warning ()
{
	return 0;
}
